Create Return
Create a new return request
Creates a new return request. Returns can be created from:
- LABEL - From an existing shipping label (reverses addresses)
- ORDER - From an order
- MANUAL - Manual entry with custom addresses
Parameters
Request Body
sourceType
string
Source type: LABEL, ORDER, or MANUAL
originalLabelId
string
ID of the original shipping label (for LABEL source)
returnFromAddress
object
Customer address where the return ships from
returnToAddress
object
Warehouse address where the return ships to
reasonCategory
string
required
Reason category: DEFECTIVE, WRONG_ITEM, NOT_AS_DESCRIBED, CHANGE_OF_MIND, SIZE_ISSUE, DAMAGED_IN_SHIPPING, LATE_DELIVERY, OTHER
reasonDetails
string
Additional details about the return reason
Returns
200
Return created successfully
400
Bad request - missing required fields
401
Unauthorized
Related
returns
create
POST/api/returns